# rpcap_sampling Struct Reference
[Internal Structures and Definitions]

Structure that is needed to set sampling parameters. More...

`#include <pcap-remote.h>`

## Data Fields
uint8 | method
| Sampling method.
uint8 | dummy1
| Must be zero.
uint16 | dummy2
| Must be zero.
uint32 | value
| Parameter related to the sampling method.

## Detailed Description

Structure that is needed to set sampling parameters.

Definition at line 269 of file pcap-remote.h.

## Field Documentation

uint8 dummy1

Must be zero.

Definition at line 272 of file pcap-remote.h.

uint16 dummy2

Must be zero.

Definition at line 273 of file pcap-remote.h.

uint8 method

Sampling method.

Definition at line 271 of file pcap-remote.h.

uint32 value

Parameter related to the sampling method.

Definition at line 274 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.